
.. _group_cli:

group
/////

::

   
   group
   -----
   
   Allows a series of ';' separated commands to be grouped and executed as one.
   Some commands like halt, shutdown and terminate will prompt the user. To bypass the prompt
   provide 'yes' as an additional parameter. See example below.
     arg = string
   Usage:
      --group="halt=yes; reloadwsfile; restart;"
                                    # halt server,bypass the confirmation prompt,
                                    # reload white list file, restart server
      --group="get; show"           # get server defs, and write to standard output
      --group="get=/s1; show state" # get suite 's1', and write state to standard output
   
   The client reads in the following environment variables. These are read by user and child command
   
   |----------|----------|------------|-------------------------------------------------------------------|
   | Name     |  Type    | Required   | Description                                                       |
   |----------|----------|------------|-------------------------------------------------------------------|
   | ECF_HOST | <string> | Mandatory* | The host name of the main server. defaults to 'localhost'         |
   | ECF_PORT |  <int>   | Mandatory* | The TCP/IP port to call on the server. Must be unique to a server |
   | ECF_SSL  |  <any>   | Optional*  | Enable encrypted comms with SSL enabled server.                   |
   |----------|----------|------------|-------------------------------------------------------------------|
   
   * The host and port must be specified in order for the client to communicate with the server, this can 
     be done by setting ECF_HOST, ECF_PORT or by specifying --host=<host> --port=<int> on the command line
   
